%define initdir /etc/rc.d/init.d
%define auth %(test -f /etc/pam.d/system-auth && echo /etc/pam.d/system-auth || echo)
%define orig_version 2.2.7b
%define ja_version 1.0
%define rel 1ml
%define ldap 0
Serial: 2003041101

%{!?ldap:%define ldap 0}

Summary: Samba SMB server.
%if %{ldap}
Name: samba-ldap
Provides: samba
%else
Name: samba
%endif
Version: %{orig_version}.ja
Release: %{rel}
License: GNU GPL Version 2
Group: System Environment/Daemons
URL: http://www.samba.gr.jp/
Source: samba-%{orig_version}-ja-%{ja_version}.tar.bz2
Source1: samba.sysconfig
Source2: samba_packaging.miracle11.tar.gz

# generic patches
Patch1: samba-2.2.0-smbw.patch
Patch3: samba-2.0.5a-gawk.patch
Patch5: samba-2.0.7-krb5-1.2.patch
Patch6: samba-2.2.2-buildroot.patch
Patch11: samba-2.2.0-logname.patch

# japanese patches
Patch201: samba-2.2.2-ja-1.1-welcome_html.patch
Patch202: samba-ldaptools.patch

Requires: pam >= 0.64 %{auth}
Requires: logrotate initscripts >= 5.54-1 
%if %{ldap}
Requires: perl >= 5.6, openldap
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig mktemp psmisc
Prereq: fileutils sed 
BuildRequires: pam, readline-devel, ncurses-devel, fileutils
Obsoletes: smbfs, samba-client, samba-common, samba-swat, samba-enable-swat

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
uses NetBIOS over TCP/IP (NetBT) protocols and does NOT need NetBEUI
(Microsoft Raw NetBIOS frame) protocol.

Samba-2 features an almost working NT Domain Control capability and
includes the new SWAT (Samba Web Administration Tool) that allows
samba's smb.conf file to be remotely managed using your favourite web
browser. For the time being this is being enabled on TCP port 901 via
xinetd.

Please refer to the WHATSNEW.txt document for fixup information.  This
binary release includes encrypted password support.  Please read the
smb.conf file and ENCRYPTION.txt in the docs directory for
implementation details.

%prep
%setup -q -n samba-%{orig_version}-ja-%{ja_version}

# copy Miracle Linux specific scripts
tar xfz %{SOURCE2}

%patch1 -p1 -b .smbw
%patch3 -p1 -b .gawk
%patch5 -p1 -b .krb5-1.2
%patch6 -p1 -b .buildroot

%patch201 -p1 -b .welcome_html

%if %{ldap}
%patch202 -p1
%endif



%build

pushd source
autoconf
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%configure \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
	--libdir=/etc/samba \
        --localstatedir=/var \
	--with-fhs \
	--with-privatedir=/etc/samba \
	--with-lockdir=/var/cache/samba \
	--with-piddir=/var/run/ \
	--with-swatdir=%{_datadir}/swat \
	--with-codepagedir=%{_datadir}/samba/codepages \
	--with-automount \
	--with-smbmount \
	--with-pam \
	--with-pam_smbpass \
	--with-quotas \
	--without-smbwrapper \
	--with-msdfs \
	--with-utmp \
%if %{ldap}
	--with-ldapsam \
%endif
        --with-i18n-swat

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
make nsswitch/libnss_wins.so
make nsswitch/pam_winbind.so
popd

## VFS SUPPORT
pushd examples/VFS
%configure
make
popd

## LDAP SUPPORT
%if %{ldap}
pushd examples/LDAP/smbldap-tools/mkntpwd
make
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT/%{initdir}
mkdir -p $RPM_BUILD_ROOT/etc/{pam.d,logrotate.d}
mkdir -p $RPM_BUILD_ROOT/var/{lock,log,spool,cache,run}/samba
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/samba/codepages 

cd source

make install \
        prefix=$RPM_BUILD_ROOT/usr \
        exec_prefix=$RPM_BUILD_ROOT/usr \
        bindir=$RPM_BUILD_ROOT/usr/bin \
        sbindir=$RPM_BUILD_ROOT/usr/sbin \
        sysconfdir=$RPM_BUILD_ROOT/etc \
        datadir=$RPM_BUILD_ROOT/usr/share \
        includedir=$RPM_BUILD_ROOT/usr/include \
        libdir=$RPM_BUILD_ROOT/usr/lib \
        libexecdir=$RPM_BUILD_ROOT/usr/libexec \
        mandir=$RPM_BUILD_ROOT/usr/man \
        infodir=$RPM_BUILD_ROOT/usr/share/info \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir} \
	LOCKDIR=$RPM_BUILD_ROOT/var/cache/samba \
	PRIVATEDIR=$RPM_BUILD_ROOT/etc/samba \
	LIBDIR=$RPM_BUILD_ROOT/etc/samba \
	CONFIGDIR=$RPM_BUILD_ROOT%/etc/samba \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	VARDIR=$RPM_BUILD_ROOT/var/log/samba \
	CODEPAGEDIR=$RPM_BUILD_ROOT%{_datadir}/samba/codepages \
	SWATDIR=$RPM_BUILD_ROOT%{_datadir}/swat \
	SAMBABOOK=$RPM_BUILD_ROOT%{_datadir}/swat/using_samba \
	PIDDIR=$RPM_BUILD_ROOT/var/run

cd ..

# Move PAM Module
mkdir -p $RPM_BUILD_ROOT/lib/security
mv $RPM_BUILD_ROOT/usr/bin/pam_smbpass.so $RPM_BUILD_ROOT/lib/security/
install -m755 source/nsswitch/pam_winbind.so $RPM_BUILD_ROOT/lib/security/pam_winbind.so 

# Install winbind
mkdir -p $RPM_BUILD_ROOT/lib
install -m755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/lib/libnss_winbind.so
install -m755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/lib/libnss_wins.so
ln -s libnss_wins.so  $RPM_BUILD_ROOT/lib/libnss_wins.so.2
ln -s libnss_winbind.so  $RPM_BUILD_ROOT/lib/libnss_winbind.so.2

# samba default share directory
mkdir -p $RPM_BUILD_ROOT/home/samba
mkdir -p $RPM_BUILD_ROOT/home/samba/netlogon
mkdir -p $RPM_BUILD_ROOT/home/samba/printer
mkdir -p $RPM_BUILD_ROOT/home/samba/public
mkdir -p $RPM_BUILD_ROOT/home/samba/utils
mkdir -p $RPM_BUILD_ROOT/home/samba/utils/PWDUMP2
mkdir -p $RPM_BUILD_ROOT/home/samba/printer/W32X86
mkdir -p $RPM_BUILD_ROOT/home/samba/printer/WIN40
%if %{ldap}
mkdir -p $RPM_BUILD_ROOT/home/samba/profiles
%endif

# Install other stuff
%if %{ldap}
install -m644 packaging/MiracleLinux/smb.conf.ldap $RPM_BUILD_ROOT/etc/samba/smb.conf
%else
install -m644 packaging/MiracleLinux/smb.conf $RPM_BUILD_ROOT/etc/samba/smb.conf
%endif

install -m600 packaging/MiracleLinux/smbpasswd $RPM_BUILD_ROOT/etc/samba/smbpasswd
install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_bindir}
install -m644 packaging/MiracleLinux/smbusers $RPM_BUILD_ROOT/etc/samba/smbusers
install -m755 packaging/MiracleLinux/smbprint $RPM_BUILD_ROOT%{_bindir}
#install -m755 source/smbadduser $RPM_BUILD_ROOT%{_bindir}
install -m755 packaging/MiracleLinux/findsmb $RPM_BUILD_ROOT%{_bindir}
install -m755 packaging/MiracleLinux/smb.init $RPM_BUILD_ROOT%{initdir}/smb
ln -s ../..%{initdir}/smb  $RPM_BUILD_ROOT%{_sbindir}/samba
install -m644 packaging/MiracleLinux/samba.pamd $RPM_BUILD_ROOT/etc/pam.d/samba
install -m644 packaging/MiracleLinux/samba.log $RPM_BUILD_ROOT/etc/logrotate.d/samba
ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/samba/lmhosts
install -m755 packaging/MiracleLinux/winbind.init $RPM_BUILD_ROOT%{initdir}/winbind

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/samba

mkdir -p $RPM_BUILD_ROOT/home/samba/bin
install -m755 packaging/MiracleLinux/cdmount $RPM_BUILD_ROOT/home/samba/bin/cdmount
mkdir -p $RPM_BUILD_ROOT/home/samba/utils
install -m755 packaging/MiracleLinux/pwdump2/convert_pwdump.sh $RPM_BUILD_ROOT/usr/bin
install -m644 packaging/MiracleLinux/pwdump2/pwdump2.exe $RPM_BUILD_ROOT/home/samba/utils/PWDUMP2/pwdump2.exe
install -m644 packaging/MiracleLinux/pwdump2/README.html $RPM_BUILD_ROOT/home/samba/utils/PWDUMP2/README.html
install -m644 packaging/MiracleLinux/pwdump2/pwdump2.zip $RPM_BUILD_ROOT/home/samba/utils/PWDUMP2/pwdump2.zip
install -m644 packaging/MiracleLinux/pwdump2/samdump.dll $RPM_BUILD_ROOT/home/samba/utils/PWDUMP2/samdump.dll

# Remove Document for RPM package
rm -rf docs/docbook
rm -rf docs/htmldocs
rm -rf docs/textdocs
rm -rf docs/yodldocs
rm -rf docs/manpages
rm -rf docs/ja
rm -rf $RPM_BUILD_ROOT/usr/share/swat/ja/help/using_samba

### VFS SUPPORT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/samba/vfs/
pushd examples/VFS/
install -m 755 audit.so $RPM_BUILD_ROOT%{_libdir}/samba/vfs/
pushd recycle
mv README README.vfs-recycle
install -m 755 recycle.so $RPM_BUILD_ROOT%{_libdir}/samba/vfs/
install -m 644 recycle.conf $RPM_BUILD_ROOT/etc/samba/
popd
popd

### LDAP SUPPORT
%if %{ldap}
pushd examples/LDAP
mkdir -p $RPM_BUILD_ROOT/etc/openldap/schema/
mkdir -p $RPM_BUILD_ROOT/%{perl_sitearch}/
install -m644 samba.schema $RPM_BUILD_ROOT/etc/openldap/schema/samba.schema

pushd smbldap-tools
install -m 550 smbldap-groupadd.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-groupadd.pl
install -m 550 smbldap-groupdel.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-groupdel.pl
install -m 550 smbldap-groupmod.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-groupmod.pl
install -m 555 smbldap-groupshow.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-groupshow.pl
install -m 555 smbldap-passwd.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-passwd.pl
install -m 550 smbldap-useradd.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-useradd.pl
install -m 550 smbldap-userdel.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-userdel.pl
install -m 550 smbldap-usermod.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-usermod.pl
install -m 555 smbldap-usershow.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-usershow.pl
install -m 550 smbldap-populate.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-populate.pl
install -m 640 smbldap_conf.pm $RPM_BUILD_ROOT/%{perl_sitearch}/smbldap_conf.pm
install -m 444 smbldap_tools.pm $RPM_BUILD_ROOT/%{perl_sitearch}/smbldap_tools.pm
install -m 550 smbldap-migrate-accounts.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-migrate-accounts.pl
install -m 550 smbldap-migrate-groups.pl $RPM_BUILD_ROOT/%{_prefix}/sbin/smbldap-migrate-groups.pl
pushd mkntpwd
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} install
popd
popd
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smb

# Add swat entry to /etc/services if not already there
if !( grep ^[:space:]*swat /etc/services > /dev/null ) then
        echo 'swat              901/tcp                         # Add swat service used via inetd' >> /etc/services
fi

%if %{ldap}
    if [ ! -e /etc/samba/smbldap_conf.pm ]; then
       ln -s %{perl_sitearch}/smbldap_conf.pm /etc/samba/smbldap_conf.pm
    fi
    chgrp 512 %{_prefix}/sbin/smbldap-useradd.pl
    chgrp 512 %{perl_sitearch}/smbldap_conf.pm
%endif

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del smb
    /sbin/chkconfig --del winbind
    %{initdir}/smb stop >/dev/null 2>&1
    %{initdir}/winbind stop > /dev/null 2>&1
    rm -rf /var/log/samba/* /var/lock/samba/* /var/cache/samba/*
%if %{ldap}
    rm -f /etc/samba/smbldap_conf.pm
%endif
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
	%{initdir}/smb restart >/dev/null 2>&1
fi	

# Remove swat entries from /etc/services
cd /etc
tmpfile=/tmp/tmp.$$
sed -e '/^[:space:]*swat.*$/d' /etc/services > $tmpfile
mv $tmpfile /etc/services

%triggerpostun -- samba < samba-2.2.0
    rm -rf /usr/share/swat/ja/help/HowToUseSamba
    rm -rf /usr/share/swat/ja/help/using_samba
    rm -rf /usr/share/swat/ja_JP.SJIS

%triggerun -- samba < samba-2.2.0
    rm -rf /etc/codepages/codepage.*
    rm -rf /etc/codepages/unicode_map.*

%files
%defattr(-,root,root)
%doc README COPYING Manifest Read-Manifest-Now
%doc WHATSNEW.txt Roadmap
%doc docs
%doc examples/autofs examples/misc examples/printer-accounting examples/printing
%doc examples/VFS/recycle/README.vfs-recycle
%{_sbindir}/smbd
%{_sbindir}/nmbd
%{_sbindir}/winbindd
%{_sbindir}/samba
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbstatus
%{_bindir}/smbpasswd
%{_bindir}/convert_pwdump.sh
%config(noreplace) /etc/sysconfig/samba
%config(noreplace) /etc/samba/smbusers
%attr(755,root,root) %config %{initdir}/smb
%attr(755,root,root) %config %{initdir}/winbind
%config(noreplace) /etc/logrotate.d/samba
%config(noreplace) /etc/pam.d/samba
%{_prefix}/share/locale/en/LC_MESSAGES/samba.mo
%{_prefix}/share/locale/ja/LC_MESSAGES/samba.mo

%dir /var/lock/samba
%dir /var/run/samba
%dir /var/cache/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(1777,root,root) %dir /var/spool/samba

/lib/security/pam_smbpass.so
/lib/security/pam_winbind.so
/lib/libnss_wins.so
/lib/libnss_wins.so.2
/lib/libnss_winbind.so
/lib/libnss_winbind.so.2


%{_datadir}/swat
%{_sbindir}/swat
%{_prefix}/share/locale/en/LC_MESSAGES/samba_swat.mo
%{_prefix}/share/locale/ja/LC_MESSAGES/samba_swat.mo

/sbin/mount.smb
/sbin/mount.smbfs
%{_bindir}/smbmount
%{_bindir}/smbmnt
%{_bindir}/smbumount
%{_bindir}/nmblookup
%{_bindir}/findsmb
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbcontrol
%{_bindir}/smbcacls
%{_bindir}/rpcclient
%{_bindir}/wbinfo
%{_bindir}/tdbbackup
%{_bindir}/make_smbcodepage
%{_bindir}/testparm
%{_bindir}/testprns
%{_bindir}/make_printerdef
%config(noreplace) /etc/samba/smb.conf
%config(noreplace) /etc/samba/lmhosts
%config(noreplace) /etc/samba/smbpasswd
%dir %{_datadir}/samba
%dir %{_datadir}/samba/codepages
%dir /etc/samba
%{_datadir}/samba/codepages/*
%dir /home/samba
%dir /home/samba/netlogon
%attr(755, root, root) %dir /home/samba/printer
%attr(755, root, root) %dir /home/samba/printer/W32X86
%attr(755, root, root) %dir /home/samba/printer/WIN40
%attr(1777, root, nobody) %dir /home/samba/public
%dir /home/samba/utils
%dir /home/samba/utils/PWDUMP2
/home/samba/utils/PWDUMP2/*
%dir /home/samba/bin/
/home/samba/bin/cdmount
%if %{ldap}
%attr(1777, root, root) %dir /home/samba/profiles
%endif

# VFS SUPPORT
%{_libdir}/samba/vfs/audit.so
%{_libdir}/samba/vfs/recycle.so
%config(noreplace) /etc/samba/recycle.conf

%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/make_smbcodepage.1*
%{_mandir}/man1/make_unicodemap.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/smbsh.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/testprns.1*
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/smbmnt.8*
%{_mandir}/man8/smbmount.8*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/smbspool.8*
%{_mandir}/man8/smbumount.8*
%{_mandir}/man8/swat.8*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/pdbedit.8*

#Japanese man page
%{_mandir}/ja/man1/findsmb.1*
%{_mandir}/ja/man1/make_smbcodepage.1*
%{_mandir}/ja/man1/make_unicodemap.1*
%{_mandir}/ja/man1/nmblookup.1*
%{_mandir}/ja/man1/rpcclient.1*
%{_mandir}/ja/man1/smbcacls.1*
%{_mandir}/ja/man1/smbclient.1*
%{_mandir}/ja/man1/smbcontrol.1*
%{_mandir}/ja/man1/smbsh.1*
%{_mandir}/ja/man1/smbstatus.1*
%{_mandir}/ja/man1/smbtar.1*
%{_mandir}/ja/man1/testparm.1*
%{_mandir}/ja/man1/testprns.1*
%{_mandir}/ja/man1/wbinfo.1*
%{_mandir}/ja/man5/lmhosts.5*
%{_mandir}/ja/man5/smb.conf.5*
%{_mandir}/ja/man5/smbpasswd.5*
%{_mandir}/ja/man7/samba.7*
%{_mandir}/ja/man8/nmbd.8*
%{_mandir}/ja/man8/smbd.8*
%{_mandir}/ja/man8/smbmnt.8*
#%{_mandir}/ja/man8/smbmount.8*  This file is included in man-pages-ja 
%{_mandir}/ja/man8/smbpasswd.8*
#%{_mandir}/ja/man8/smbumount.8* This file is included in man-pages-ja 
%{_mandir}/ja/man8/smbspool.8*
%{_mandir}/ja/man8/swat.8*
%{_mandir}/ja/man8/winbindd.8*
%{_mandir}/ja/man8/pdbedit.8*

## LDAP SUPPORT
%if %{ldap}
/etc/openldap/schema/samba.schema
%{_prefix}/sbin/smbldap-groupadd.pl
%{_prefix}/sbin/smbldap-groupdel.pl
%{_prefix}/sbin/smbldap-groupmod.pl
%{_prefix}/sbin/smbldap-groupshow.pl
%{_prefix}/sbin/smbldap-passwd.pl
%{_prefix}/sbin/smbldap-useradd.pl
%{_prefix}/sbin/smbldap-userdel.pl
%{_prefix}/sbin/smbldap-usermod.pl
%{_prefix}/sbin/smbldap-usershow.pl
%{_prefix}/sbin/smbldap-populate.pl
%{_prefix}/sbin/smbldap-migrate-accounts.pl
%{_prefix}/sbin/smbldap-migrate-groups.pl
%{_prefix}/sbin/mkntpwd
%config %{perl_sitearch}/smbldap_conf.pm
%{perl_sitearch}/smbldap_tools.pm
%endif

%changelog
* Fri Apr 11 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Fix security problem (update to samba-2.2.7b-ja-1.0)

* Wed Mar 19 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Fix spec for MIRACLE LINUX V1.x

* Mon Mar 17 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Fix security problem

* Wed Mar 05 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Add domain admin parameter for LDAP
- Add /var/samba/profiles for LDAP
- Fix config file mode for LDAP 

* Fri Feb 14 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Add LDAP support
- Update to 2.2.7a

* Sun Jun 30 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- Fixed libnss library

* Mon Jun 24 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- Update to beta2
- Add libnss_xxx symbolic link

* Fri Jun 21 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- Apply some patches 
- Add tdbbackup

* Mon Jun 17 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- update to 2.2.4

* Mon Jun 10 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- add pam_winbind.so

* Fri Jun  7 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- don't remove swat/ja/figs directory for update

* Wed Feb 27 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- version up to samba-ja-2.2.2-ja-1.1
- Removed duplicate documents

* Tue Jan 9 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- version up to samba-ja-2.2.2-ja-1.0

* Wed Dec 19 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- version up to samba-ja-2.2.2-ja-0.6 

* Mon Nov 26 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- fix smbrun() etc..
- swat index.html patch added.

* Wed Nov 7 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Available printer of Japanese name.
- winbind init scripts included.

* Thu Nov 1 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Available long share name on Win9x.

* Tue Oct 30 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Version Up to samba-2.2.2-ja.
- winbind support.

* Mon Oct 15 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- included convert_pwdump.sh

* Thu Sep 27 2001 Yasuma Takeda <yasuma@miraclelinux.com> 
- update samba-2.2.1a-ja-0.3

* Tue Sep 25 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- update samba-2.2.1a-ja-0.2 source 
- StrCmp and ja_domain patch added

* Mon Sep 10 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- make printer driver directory for W2K.

* Mon Sep 3 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- winbindd man page is included.

* Mon Aug 27 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- printing = lprng defined in smb.conf
- installswat_ja.sh refine for text documents

* Mon Aug 20 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Included empty smbpasswd file

* Fri Aug 17 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Unified samba package

* Fri Aug 10 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- smbclient improved.

* Thu Aug 9 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Japanized client commands and include documents 

* Mon Aug 6 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Japanized patch improved. Swat is recommended via Webmin

* Wed Jul 25 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- reconfig for Miracle Linux.

* Fri Jul 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Tweaks of BuildRequires (#49581)

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.2.1a bugfix release

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.2.1, which should work better for XP

* Sat Jun 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.2.0a security fix
- Mark lograte and pam configuration files as noreplace

* Fri Jun 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add the /etc/samba directory to samba-common

* Thu Jun 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add improvements to the smb.conf as suggested in #16931

* Tue Jun 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
  (these changes are from the non-head version)
- Don't include /usr/sbin/samba, it's the same as the initscript
- unset TMPDIR, as samba can't write into a TMPDIR owned 
  by root (#41193)
- Add pidfile: lines for smbd and nmbd and a config: line
  in the initscript  (#15343)
- don't use make -j
- explicitly include /usr/share/samba, not just the files in it

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- mount.smb/mount.smbfs go in /sbin, *not* %%{_sbindir}

* Fri Jun  8 2001 Preston Brown <pbrown@redhat.com>
- enable encypted passwords by default

* Thu Jun  7 2001 Helge Deller <hdeller@redhat.de> 
- build as 2.2.0-1 release
- skip the documentation-directories docbook, manpages and yodldocs
- don't include *.sgml documentation in package
- moved codepage-directory to /usr/share/samba/codepages
- make it compile with glibc-2.2.3-10 and kernel-headers-2.4.2-2   

* Mon May 21 2001 Helge Deller <hdeller@redhat.de> 
- updated to samba 2.2.0
- moved codepages to %{_datadir}/samba/codepages
- use all available CPUs for building rpm packages
- use %{_xxx} defines at most places in spec-file
- "License:" replaces "Copyright:"
- dropped excludearch sparc
- de-activated japanese patches 100 and 200 for now 
  (they need to be fixed and tested wth 2.2.0)
- separated swat.desktop file from spec-file and added
  german translations
- moved /etc/sysconfig/samba to a separate source-file
- use htmlview instead of direct call to netscape in 
  swat.desktop-file

* Mon May  7 2001 Bill Nottingham <notting@redhat.com>
- device-remove security fix again (<tridge@samba.org>)

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- fix tempfile security problems, officially (<tridge@samba.org>)
- update to 2.0.8

* Sun Apr  8 2001 Bill Nottingham <notting@redhat.com>
- turn of SSL, kerberos

* Thu Apr  5 2001 Bill Nottingham <notting@redhat.com>
- fix tempfile security problems (patch from <Marcus.Meissner@caldera.de>)

* Thu Mar 29 2001 Bill Nottingham <notting@redhat.com>
- fix quota support, and quotas with the 2.4 kernel (#31362, #33915)

* Mon Mar 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak the PAM code some more to try to do a setcred() after initgroups()
- pull in all of the optflags on i386 and sparc
- don't explicitly enable Kerberos support -- it's only used for password
  checking, and if PAM is enabled it's a no-op anyway

* Mon Mar  5 2001 Tim Waugh <twaugh@redhat.com>
- exit successfully from preun script (bug #30644).

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- updated japanese stuff (#27683)

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix trigger (#26859)

* Wed Feb  7 2001 Bill Nottingham <notting@redhat.com>
- add i18n support, japanese patch (#26253)

* Wed Feb  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- i18n improvements in initscript (#26537)

* Wed Jan 31 2001 Bill Nottingham <notting@redhat.com>
- put smbpasswd in samba-common (#25429)

* Wed Jan 24 2001 Bill Nottingham <notting@redhat.com>
- new i18n stuff

* Sun Jan 21 2001 Bill Nottingham <notting@redhat.com>
- rebuild

* Thu Jan 18 2001 Bill Nottingham <notting@redhat.com>
- i18n-ize initscript
- add a sysconfig file for daemon options (#23550)
- clarify smbpasswd man page (#23370)
- build with LFS support (#22388)
- avoid extraneous pam error messages (#10666)
- add Urban Widmark's bug fixes for smbmount (#19623)
- fix setgid directory modes (#11911)
- split swat into subpackage (#19706)

* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- set a default CA certificate path in smb.conf (#19010)
- require openssl >= 0.9.5a-20 to make sure we have a ca-bundle.crt file

* Mon Oct 16 2000 Bill Nottingham <notting@redhat.com>
- fix swat only_from line (#18726, others)
- fix attempt to write outside buildroot on install (#17943)

* Mon Aug 14 2000 Bill Nottingham <notting@redhat.com>
- add smbspool back in (#15827)
- fix absolute symlinks (#16125)

* Sun Aug 6 2000 Philipp Knirsch <pknirsch@redhat.com>
- bugfix for smbadduser script (#15148)

* Mon Jul 31 2000 Matt Wilson <msw@redhat.com>
- patch configure.ing (patch11) to disable cups test
- turn off swat by default

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- fix condrestart stuff

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- add copytruncate to logrotate file (#14360)
- fix init script (#13708)

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back
- remove 'Using Samba' book from %%doc 
- move stuff to /etc/samba (#13708)
- default configuration tweaks (#13704)
- some logrotate tweaks

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Bill Nottingham <notting@redhat.com>
- fix logrotate script (#13698)

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- fix initscripts req (prereq /etc/init.d)

* Wed Jul 5 2000 Than Ngo <than@redhat.de>
- add initdir macro to handle the initscript directory
- add a new macro to handle /etc/pam.d/system-auth

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable Kerberos 5 and SSL support
- patch for duplicate profile.h headers

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix init script

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- rename samba logs (#11606)

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 16 2000 Bill Nottingham <notting@redhat.com>
- configure the swat stuff usefully
- re-integrate some specfile tweaks that got lost somewhere

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- rebuild to get rid of cups dependency

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak logrotate configurations to use the PID file in /var/lock/samba

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- change PAM setup to use system-auth

* Mon May  8 2000 Bill Nottingham <notting@redhat.com>
- fixes for ia64

* Sat May  6 2000 Bill Nottingham <notting@redhat.com>
- switch to %%configure

* Wed Apr 26 2000 Nils Philippsen <nils@redhat.de>
- version 2.0.7

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- simplify preun

* Thu Mar 16 2000 Bill Nottingham <notting@redhat.com>
- fix yp_get_default_domain in autoconf
- only link against readline for smbclient
- fix log rotation (#9909)

* Fri Feb 25 2000 Bill Nottingham <notting@redhat.com>
- fix trigger, again.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix trigger.

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- turn on quota support

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fox dependencies
- man pages are compressed

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- munge post scripts slightly

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- turn on mmap again. Wheee.
- ship smbmount on alpha

* Mon Dec  6 1999 Bill Nottingham <notting@redhat.com>
- turn off mmap. ;)

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- change /var/log/samba to 0700
- turn on mmap support

* Thu Nov 11 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.6

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- add a %defattr for -common

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- shift some files into -client
- remove /home/samba from package.

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- initscript oopsie. killproc <name> -HUP, not other way around.

* Sat Sep 26 1999 Bill Nottingham <notting@redhat.com>
- script cleanups. Again.

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix dropped reconnection attempts

* Mon Sep  6 1999 Jeff Johnson <jbj@redhat.com>
- use cp rather than mv to preserve /etc/services perms (#4938 et al).
- use mktemp to generate /etc/tmp.XXXXXX file name.
- add prereqs on sed/mktemp/killall (need to move killall to /bin).
- fix trigger syntax (i.e. "samba < 1.9.18p7" not "samba < samba-1.9.18p7")

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- sed "s|nawk|gawk|" /usr/bin/convert_smbpasswd

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix typo in mount.smb

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- add a %trigger to work around (sort of) broken scripts in
  previous releases

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- add domain parsing to mount.smb

* Fri Aug  6 1999 Bill Nottingham <notting@redhat.com>
- add a -common package, shuffle files around.

* Fri Jul 23 1999 Bill Nottingham <notting@redhat.com>
- add a chmod in %postun so /etc/services & inetd.conf don't become unreadable

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map

